{extends file="parent:backend/ropi_cms/index.tpl"}

{block name='backend_ropi_cms_content_elements' append}
<ropi-content-element
  type="RopiCmsExtensionsHello"
  icon="extension"
  group="{s name='basis' namespace='backend/ropi_cms/content_element_settings'}Basis{/s}"
  name="Hello"
  src="widgets/RopiCmsExtensionsHello/index">
  <template>
    <ropi-tabs scrollable tablistposition="bottom">
      <ropi-touchable slot="tab">General</ropi-touchable>
      <div slot="tabpanel">
        <ropi-subheader>Basic</ropi-subheader>
        <div class="ropi-cms-margin-h">
          <ropi-textfield name="name">
            <div slot="placeholder">Name</div>
          </ropi-textfield>
        </div>
      </div>
      {foreach from=$breakpoints item=breakpoint}
          <ropi-touchable slot="tab">{$breakpoint.name}</ropi-touchable>
          <div slot="tabpanel">
            {include file="backend/ropi_cms/content_elements/common/general_settings.tpl"}
          </div>
      {/foreach}
    </ropi-tabs>
  </template>
</ropi-content-element>
{/block}
